[arch-commits] CVS update of extra/multimedia/ivtv-utils (4 files)

Paul Mattal paul at archlinux.org
Tue Oct 9 14:10:21 UTC 2007


    Date: Tuesday, October 9, 2007 @ 10:10:21
  Author: paul
    Path: /home/cvs-extra/extra/multimedia/ivtv-utils

   Added: ivtv-utils.install (1.1)
Modified: PKGBUILD (1.8 -> 1.9)
 Removed: firmware.md5sums (1.2) kernel-2.6.20.patch (1.1)

upgpkg: ivtv-utils 1.0.2-1
upgrade to 1.0.2, moved non-kernel modules into utils package, which while not ideal, must be done because kernel26 now replaces ivtv


---------------------+
 PKGBUILD            |   19 ++++----
 firmware.md5sums    |    3 -
 ivtv-utils.install  |   31 +++++++++++++
 kernel-2.6.20.patch |  112 --------------------------------------------------
 4 files changed, 41 insertions(+), 124 deletions(-)


Index: extra/multimedia/ivtv-utils/PKGBUILD
diff -u extra/multimedia/ivtv-utils/PKGBUILD:1.8 extra/multimedia/ivtv-utils/PKGBUILD:1.9
--- extra/multimedia/ivtv-utils/PKGBUILD:1.8	Thu Jun 21 22:00:08 2007
+++ extra/multimedia/ivtv-utils/PKGBUILD	Tue Oct  9 10:10:21 2007
@@ -1,19 +1,19 @@
-# $Id: PKGBUILD,v 1.8 2007/06/22 02:00:08 paul Exp $
+# $Id: PKGBUILD,v 1.9 2007/10/09 14:10:21 paul Exp $
 # Contributor: Sasha Zbrozek <kleptophobiac at gmail.com>
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=ivtv-utils
-pkgver=0.10.3
+pkgver=1.0.2
 pkgrel=1
-_kernver=2.6.20-ARCH
-pkgdesc="utility package for PVR card drivers"
+_kernver=2.6.22-ARCH
+pkgdesc="Non-mainline kernel drivers and userspace utilities for Hauppauge PVR cards"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://ivtvdriver.org"
-source=("http://dl.ivtvdriver.org/ivtv/archive/0.10.x/ivtv-$pkgver.tar.gz" \
+source=("http://dl.ivtvdriver.org/ivtv/archive/1.0.x/ivtv-$pkgver.tar.gz" \
 	'http://dl.ivtvdriver.org/ivtv/firmware/firmware.tar.gz' )
 depends=(gcc 'udev>=070')
-md5sums=('c2ce439bca835f972f77400774546b90' '9e06ccf5afec2a90aab14e8ec905a458')
+md5sums=('b3f6ffc71c43da5a7a57c6d33b49af5c' '9e06ccf5afec2a90aab14e8ec905a458')
 
 build() {
   # SET UP
@@ -31,13 +31,14 @@
   # install
   make DESTDIR=$startdir/pkg install || return 1
 
+  # tweak the install script for the right kernel version
+  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
+  	$startdir/$pkgname.install || return 1
+
   # install the firmware
   cd $startdir/src || return 1
   for file in  v4l-cx2341x-dec.fw v4l-cx2341x-enc.fw v4l-cx2341x-init.mpg v4l-cx25840.fw v4l-pvrusb2-24xxx-01.fw v4l-pvrusb2-29xxx-01.fw
   do
 	  install -D -m 0644 $file $startdir/pkg/lib/firmware/$file || return 1
   done
-
-  # remove modules; we only care about utilities in this build
-  rm -rf $startdir/pkg/lib/modules || return 1
 }
Index: extra/multimedia/ivtv-utils/firmware.md5sums
diff -u extra/multimedia/ivtv-utils/firmware.md5sums:1.2 extra/multimedia/ivtv-utils/firmware.md5sums:removed
--- extra/multimedia/ivtv-utils/firmware.md5sums:1.2	Wed Feb 21 22:37:30 2007
+++ extra/multimedia/ivtv-utils/firmware.md5sums	Tue Oct  9 10:10:21 2007
@@ -1,3 +0,0 @@
-99836e41ccb28c7b373e87686f93712a  v4l-cx25840.fw
-305dba74bbe5905447add8883f3ecb68  v4l-cx2341x-dec.fw
-9b39b3d3bba1ce2da40f82ef0c50ef48  v4l-cx2341x-enc.fw
Index: extra/multimedia/ivtv-utils/ivtv-utils.install
diff -u /dev/null extra/multimedia/ivtv-utils/ivtv-utils.install:1.1
--- /dev/null	Tue Oct  9 10:10:21 2007
+++ extra/multimedia/ivtv-utils/ivtv-utils.install	Tue Oct  9 10:10:21 2007
@@ -0,0 +1,31 @@
+pre_install() {
+	/bin/true
+}
+
+post_install() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+post_upgrade() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+post_remove() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.22-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+op=$1
+shift
+$op $*
Index: extra/multimedia/ivtv-utils/kernel-2.6.20.patch
diff -u extra/multimedia/ivtv-utils/kernel-2.6.20.patch:1.1 extra/multimedia/ivtv-utils/kernel-2.6.20.patch:removed
--- extra/multimedia/ivtv-utils/kernel-2.6.20.patch:1.1	Sat Feb 17 01:52:35 2007
+++ extra/multimedia/ivtv-utils/kernel-2.6.20.patch	Tue Oct  9 10:10:21 2007
@@ -1,112 +0,0 @@
-Index: /ivtv/trunk/driver/ivtv-i2c.c
-===================================================================
---- /ivtv/trunk/driver/ivtv-i2c.c (revision 3731)
-+++ /ivtv/trunk/driver/ivtv-i2c.c (revision 3797)
-@@ -734,4 +734,7 @@
- 	       sizeof(struct i2c_client));
- 	itv->i2c_client.adapter = &itv->i2c_adap;
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+        itv->i2c_adap.dev.parent = &itv->dev->dev;
-+#endif
-   
- 	IVTV_DEBUG_I2C("setting scl and sda to 1\n");
-@@ -749,4 +752,7 @@
- 	IVTV_DEBUG_I2C("i2c exit\n");
- 
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+        i2c_del_adapter(&itv->i2c_adap);
-+#else
-         if (itv->options.newi2c > 0) {
-                 i2c_del_adapter(&itv->i2c_adap);
-@@ -754,3 +760,4 @@
-                 i2c_bit_del_bus(&itv->i2c_adap);
-         }
--}
-+#endif
-+}
-Index: /ivtv/trunk/driver/ivtv-vbi.c
-===================================================================
---- /ivtv/trunk/driver/ivtv-vbi.c (revision 3785)
-+++ /ivtv/trunk/driver/ivtv-vbi.c (revision 3797)
-@@ -455,7 +455,14 @@
- }
- 
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+void vbi_work_handler(struct work_struct *work)
-+{
-+	struct vbi_info *info = container_of(work, struct vbi_info, work_queue);
-+	struct ivtv *itv = container_of(info, struct ivtv, vbi);
-+#else
- void vbi_work_handler(void *arg)
- {
- 	struct ivtv *itv = arg;
-+#endif
- 	struct v4l2_sliced_vbi_data data;
- 	DEFINE_WAIT(wait);
-Index: /ivtv/trunk/driver/ivtv-yuv.c
-===================================================================
---- /ivtv/trunk/driver/ivtv-yuv.c (revision 3765)
-+++ /ivtv/trunk/driver/ivtv-yuv.c (revision 3797)
-@@ -805,7 +805,14 @@
- 
- /* Update the scaling register to the requested value */
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+void ivtv_yuv_work_handler (struct work_struct *work)
-+{
-+	struct yuv_playback_info *info = container_of(work, struct yuv_playback_info, work_queue);
-+	struct ivtv *itv = container_of(info, struct ivtv, yuv_info);
-+#else
- void ivtv_yuv_work_handler (void *arg)
- {
- 	struct ivtv *itv = arg;
-+#endif
- 	DEFINE_WAIT(wait);
- 
-Index: /ivtv/trunk/driver/ivtv-vbi.h
-===================================================================
---- /ivtv/trunk/driver/ivtv-vbi.h (revision 3786)
-+++ /ivtv/trunk/driver/ivtv-vbi.h (revision 3797)
-@@ -24,4 +24,8 @@
- void ivtv_disable_vbi(struct ivtv *itv);
- void ivtv_set_vbi(unsigned long arg);
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+void vbi_work_handler(struct work_struct *work);
-+#else
- void vbi_work_handler(void *arg);
-+#endif
- void vbi_schedule_work(struct ivtv *itv);
-Index: /ivtv/trunk/driver/ivtv-yuv.h
-===================================================================
---- /ivtv/trunk/driver/ivtv-yuv.h (revision 3757)
-+++ /ivtv/trunk/driver/ivtv-yuv.h (revision 3797)
-@@ -20,3 +20,7 @@
- int ivtv_yuv_prep_frame(struct ivtv *itv, struct ivtvyuv_ioctl_dma_host_to_ivtv_args *args);
- void ivtv_yuv_close(struct ivtv *itv);
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+void ivtv_yuv_work_handler (struct work_struct *work);
-+#else
- void ivtv_yuv_work_handler (void *arg);
-+#endif
-Index: /ivtv/trunk/driver/ivtv-driver.c
-===================================================================
---- /ivtv/trunk/driver/ivtv-driver.c (revision 3795)
-+++ /ivtv/trunk/driver/ivtv-driver.c (revision 3797)
-@@ -635,6 +635,11 @@
- 	}
- 
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 20)
-+	INIT_WORK(&itv->vbi.work_queue, vbi_work_handler);
-+	INIT_WORK(&itv->yuv_info.work_queue, ivtv_yuv_work_handler);
-+#else
- 	INIT_WORK(&itv->vbi.work_queue, vbi_work_handler, itv);
- 	INIT_WORK(&itv->yuv_info.work_queue, ivtv_yuv_work_handler, itv);
-+#endif
- 
- 	/* start counting open_id at 1 */
-@@ -1271,6 +1276,4 @@
- 	/* Stop all Work Queues */
- 	IVTV_DEBUG_INFO(" Stop Work Queues.\n");
--	cancel_delayed_work(&itv->vbi.work_queue);
--	cancel_delayed_work(&itv->yuv_info.work_queue);
- 	flush_workqueue(itv->vbi.work_queues);
- 	flush_workqueue(itv->yuv_info.work_queues);




More information about the arch-commits mailing list